Skip to main content
PATCH
Python

Authorizations

Authorization
string
header
required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

Path Parameters

org_id
string
required

Unique identifier of the organization.

project_id
string
required

Unique identifier of the project to be updated.

Body

application/json
name
string

Name of the project

description
string

Description of the project

custom_instructions
string[]

Custom instructions for memory processing in this project

agent_custom_instructions
string | null

Extraction instructions for agent-scoped memories. Falls back to custom_instructions when unset. Send an empty string to clear it.

custom_categories
object[]

List of custom categories to be used for memory categorization.

multilingual
boolean

Whether to use the input language for memory storage and retrieval.

memory_depth
string

Memory extraction depth setting for this project.

decay
boolean

Whether memory decay is enabled for this project.

enable_graph
boolean

Whether graph memory is enabled for this project.

version
string

API version used by this project.

Response

Project updated successfully.

message
string
Example:

"Project updated successfully"